package com.younike.system.mapper;

import java.util.List;
import java.util.Set;

import com.younike.system.domain.MerchantSettleInfo;

/**
 * 商户结算信息Mapper接口
 *
 * @author elev
 * @date 2022-01-10
 */
public interface MerchantSettleInfoMapper {
    /**
     * 查询商户结算信息
     *
     * @param merchantId 商户结算信息主键
     * @return 商户结算信息
     */
    MerchantSettleInfo selectMerchantSettleInfoByMerchantId(Long merchantId);

    /**
     * 查询商户结算信息列表
     *
     * @param merchantSettleInfo 商户结算信息
     * @return 商户结算信息集合
     */
    List<MerchantSettleInfo> selectMerchantSettleInfoList(MerchantSettleInfo merchantSettleInfo);

    /**
     * 新增商户结算信息
     *
     * @param merchantSettleInfo 商户结算信息
     * @return 结果
     */
    int insertMerchantSettleInfo(MerchantSettleInfo merchantSettleInfo);

    /**
     * 修改商户结算信息
     *
     * @param merchantSettleInfo 商户结算信息
     * @return 结果
     */
    int updateMerchantSettleInfo(MerchantSettleInfo merchantSettleInfo);

    /**
     * 删除商户结算信息
     *
     * @param merchantId 商户结算信息主键
     * @return 结果
     */
    int deleteMerchantSettleInfoByMerchantId(String merchantId);

    /**
     * 批量删除商户结算信息
     *
     * @param merchantIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteMerchantSettleInfoByMerchantIds(String[] merchantIds);

    List<MerchantSettleInfo> listByIds(Set<Long> merchantIds);
}
